using System;
using ZR.Model;
using System.Collections.Generic;
using ZR.Model.Dto.Inspect;
using ZR.Model.Models.Inspect;

namespace ZR.Service.Business.IBusinessService.Inspect
{
    /// <summary>
    /// 质检管理/质检记录表service接口
    ///
    /// @author admin
    /// @date 2023-05-05
    /// </summary>
    public interface IQaInspectRecordService : IBaseService<QaInspectRecord>
    {
        PagedInfo<QaInspectRecordDto> GetList(QaInspectRecordQueryDto parm, bool isPdaQuery = false);

        int AddQaInspectRecord(QaInspectRecord parm);

        int UpdateQaInspectRecord(QaInspectRecord parm);

        void TruncateQaInspectRecord();

        #region 2023 0524 孙亚龙 新增
        List<SapDeliverDto> GetCheckedDeliverData(QaInspectRecordQueryNoPageDto parm);
        List<QaInspectRecordDto> GetCheckedSapDeliverRecordList(string deliverNo, string materialSpecCode = null);
        #endregion
    }
}
